<?php if(!defined('PLX_ROOT')) exit;
class plxGoogleSnippetPreview extends plxPlugin{
    const PLUGIN_NAME = __CLASS__;
 /**
  * Constructeur de la classe plxGoogleSnippetPreview
  *
  * @param default_lang langue par défaut utilisée par PluXml
  * @return null
  **/
 public function __construct($default_lang){
  parent::__construct($default_lang);
  $this->setConfigProfil(PROFIL_ADMIN);# droits pour accèder à la page config.php du plugin
  # Déclarations des hooks
  if(defined('PLX_ADMIN')) {//Déclaration des hooks pour la zone d'administration
   $this->addHook('AdminTopEndHead', 'AdminTopEndHead');
   if ($this->getParam('pos_vie')=='bot'){
    $this->addHook('AdminCategory', 'AdminCategory');
    $this->addHook('AdminArticleContent', 'AdminArticleContent');
    $this->addHook('AdminStatic', 'AdminArticleContent');
   }else if($this->getParam('pos_vie')=='foot'){
    $this->addHook('AdminCategoryFoot', 'AdminCategory');
    $this->addHook('AdminArticleFoot', 'AdminArticleContent');
    $this->addHook('AdminStaticFoot', 'AdminArticleContent');
   }else{
    $this->addHook('AdminCategoryTop', 'AdminCategory');
    $this->addHook('AdminArticleTop', 'AdminArticleContent');
    $this->addHook('AdminStaticTop', 'AdminArticleContent');
   }
   //$this->addHook('AdminTopBottom', 'AdminTopBottom');//Oups 4 all pages
  }
 }
 public function AdminCategory() {
  echo" <?php
  \$GoogleSnippetTitle = (\$plxAdmin->aCats[\$id]['title_htmltag']?\$plxAdmin->aCats[\$id]['title_htmltag']:\$plxAdmin->aCats[\$id]['name']).' - '.\$plxAdmin->aConf['title'];
  \$GoogleSnippetMeta = (\$plxAdmin->aCats[\$id]['meta_description'])?\$plxAdmin->aCats[\$id]['meta_description']:\$plxAdmin->aConf['meta_description']; 
  \$GoogleSnippetUrl = \$plxAdmin->urlRewrite('index.php?categorie'.intval(\$id).'/'.\$plxAdmin->aCats[\$id]['url']); 
  if(empty(\$GoogleSnippetMeta)){
   \$GoogleSnippetMeta = strip_tags(\$plxAdmin->aCats[\$id]['description']);
   \$GoogleSnippetMTitle = L_NO.' ️⚠️';
   \$GoogleSnippetMContent = ' text-red\'>'.L_NO.' ️⚠️';
  }else{
   \$GoogleSnippetMTitle = \$plxAdmin->aCats[\$id]['meta_description']?L_YES.' 😃':L_COMMENT_SITE_FIELD.' :)';
   \$GoogleSnippetMContent = (\$plxAdmin->aCats[\$id]['meta_description']?' text-green\'>':' text-orange\'>').\$GoogleSnippetMTitle;
  }
?>
";
  $this->htmlGoogleSnippet();
 }
 public function AdminArticleContent() {
  echo"
<?php
  \$GoogleSnippetTitle = (\$title_htmltag)?\$title_htmltag:\$title.' - '.\$plxAdmin->aConf['title'];
  \$GoogleSnippetMeta = (\$meta_description)?\$meta_description:\$plxAdmin->aConf['meta_description'];
  if (isset(\$artId)){
   \$GoogleSnippetUrl = \$plxAdmin->urlRewrite('?article'.intval(\$artId).'/'.\$url); 
   \$GoogleSnippetMContent = \$chapo . \$content;
  }else{
   \$GoogleSnippetUrl = \$plxAdmin->urlRewrite('?static'.intval(\$id).'/'.\$plxAdmin->aStats[\$id]['url']);// \$url;#only in pluxml 5.6 more simply ;)
   \$GoogleSnippetMContent = \$content;
  }
  if(empty(\$GoogleSnippetMeta)){
   \$GoogleSnippetMeta = strip_tags(\$GoogleSnippetMContent);
   \$GoogleSnippetMTitle = L_NO.' ️⚠️';
   \$GoogleSnippetMContent = ' text-red\'>'.L_NO.' ⚠️';
  }else{
   \$GoogleSnippetMTitle = \$meta_description?L_YES.' 😃':L_COMMENT_SITE_FIELD.' :)';
   \$GoogleSnippetMContent = (\$meta_description?' text-green\'>':' text-orange\'>').\$GoogleSnippetMTitle;
  }
?>
";
  $this->htmlGoogleSnippet();
 }
 public function AdminTopEndHead(){
  $version = $this->getInfo('version');
  echo '<link rel="stylesheet" type="text/css" media="screen" href="'.PLX_PLUGINS.self::PLUGIN_NAME.'/style.min.css?v='.$version.'" />'.PHP_EOL;
  if($this->getParam('in_action_bar'))
   echo '<link rel="stylesheet" type="text/css" media="screen" href="'.PLX_PLUGINS.self::PLUGIN_NAME.'/style-in-action-bar.min.css?v='.$version.'" />'.PHP_EOL;
 }
 public function htmlGoogleSnippet(){
  echo"
<?php
  include('".PLX_PLUGINS.self::PLUGIN_NAME."/snippet.php');
  \$snipSet['title'] = \$GoogleSnippetTitle;
  \$snipSet['url'] = (isset(\$plxAdmin->plxPlugins->aPlugins['plxMyBetterUrls']))?preg_replace(\"/(article|static|categorie)[0-9]+\/([a-z0-9-]+)/\", \"\$2\".\$plxAdmin->plxPlugins->aPlugins['plxMyBetterUrls']->getParam('ext_url'), \$GoogleSnippetUrl):\$GoogleSnippetUrl;
  \$snipSet['url'] = str_replace('http://','',\$snipSet['url']);
  \$snipSet['description'] = \$GoogleSnippetMeta;
  \$snipSet['desc_title'] = \$GoogleSnippetMTitle;
  \$snipSet['snip_title'] = '".$this->getLang('L_SNIP_TITLE')."';
  \$snipSet['search'] = '';
  \$snipSet['version'] = '".$this->getParam('vers_vie')."';
  \$snipSet['lang'] = array('cache'=>'".$this->getLang('L_CACHE')."','sim'=>'".$this->getLang('L_SIM')."','sir'=>'".$this->getLang('L_SIR')."');
  \$snipObj = new snippet;
?>
  <a class='GSPreview' title=\"".$this->getLang('L_GTF')."\" href='#id_meta_description' onclick='document.getElementById(\"id_meta_description\").focus();return false;'><img src='".PLX_PLUGINS.self::PLUGIN_NAME."/logo".$this->getParam('vers_vie').".png' alt='preView ".$this->getParam('vers_vie')."' /><br class='sml-hide lrg-show' /><span>Meta&nbsp;Desc&nbsp;:<br class='sml-hide lrg-show' /><b class='alert<?php echo \$GoogleSnippetMContent; ?></b></span></a>
  <?php echo \$snipObj->serpSnippet(\$snipSet); ?>
";
 }
}
